SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `affiliate_links`
--

-- --------------------------------------------------------

-- 
-- Структура таблицы `admin`
-- 

CREATE TABLE `admin` (
  `login` varchar(32) NOT NULL,
  `password` varchar(32) NOT NULL
);

-- 
-- Дамп данных таблицы `admin`
-- 

INSERT INTO `admin` VALUES ('admin', '21232f297a57a5a743894a0e4a801fc3');

-- --------------------------------------------------------

-- 
-- Структура таблицы `affiliate`
-- 

CREATE TABLE `affiliate` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `ancor` text NOT NULL,
  `view` int(11) default '0',
  `link` varchar(255) NOT NULL,
  `label` enum('stream','hidden') NOT NULL default 'stream',
  `date_add` datetime default NULL,
  PRIMARY KEY  (`id`),
  KEY `title` (`title`)
) AUTO_INCREMENT=25 ;

-- 
-- Дамп данных таблицы `affiliate`
-- 

INSERT INTO `affiliate` VALUES (1, 'alpari.ru', 'Брокер Форекс - alpari', 0, 'http://www.alpari.ru/?partner_id=1208386', 'stream', '2012-12-25 16:43:48');
INSERT INTO `affiliate` VALUES (2, 'alpari.ru-fast_registration', 'Зарегистрировать счет в alpari', 0, 'https://my.alpari.ru/ru/fast_registration/?partner_id=1208386', 'stream', '2012-12-26 23:34:48');
INSERT INTO `affiliate` VALUES (3, 'ecommtools.com', 'Партнёрка Чувашова', 0, 'http://7777777.freeforex.ecommtools.com/part', 'stream', '2012-12-25 23:32:37');
INSERT INTO `affiliate` VALUES (4, 'ecommtools.com-freeforex', 'Товары Чувашова', 0, 'http://7777777.freeforex.ecommtools.com', 'stream', '2012-12-26 14:44:01');
INSERT INTO `affiliate` VALUES (5, 'forex4you.org', 'ДЦ - forex4you', 0, 'http://www.forex4you.org/?affid=c8a2d4a', 'stream', '2012-12-25 16:54:08');
INSERT INTO `affiliate` VALUES (6, 'forex4you.org-account', 'Зарегистрировать счет в forex4you', 0, 'http://forex4you.org/account/real/?affid=c8a2d4a', 'stream', '2012-12-25 16:54:45');
INSERT INTO `affiliate` VALUES (7, 'forex-mmcis.ru', 'Форекс Брокер - forex-mmcis.ru', 0, 'http://forex-mmcis.ru?ref=13109', 'stream', '2012-12-25 16:56:20');
INSERT INTO `affiliate` VALUES (8, 'gamma-ic.com', 'Доверительное Управление на рынке «Forex»', 0, 'http://gamma-ic.com/?ref=20990', 'stream', '2012-12-25 17:00:22');
INSERT INTO `affiliate` VALUES (9, 'globoxhost.com-vds-servers', 'Виртуальный выделенный сервер на базе OS Windows', 0, 'http://my.globoxhost.com/aff.php?aff=627&finaldestination=http://www.globoxhost.com/vds-servers.html', 'stream', '2012-12-25 23:29:37');
INSERT INTO `affiliate` VALUES (10, 'instaforex.com', 'Лучший Брокер Азии 2012', 0, 'http://instaforex.com/index.php?x=BWJU', 'stream', '2012-12-25 17:08:32');
INSERT INTO `affiliate` VALUES (11, 'instaforex.com-account', 'Зарегистрировать счет в instaforex', 0, 'https://secure.instaforex.com/open-account.aspx?lang=ru&x=BWJU', 'stream', '2012-12-25 17:09:10');
INSERT INTO `affiliate` VALUES (12, 'mmcis-investments.ru', 'Инвестиционный фонд MMCIS investments', 0, 'http://mmcis-investments.ru?ref=13109', 'stream', '2012-12-25 17:16:05');
INSERT INTO `affiliate` VALUES (13, 'roboforex.ru', 'ДЦ - Компания ROBOFOREX LP', 0, 'http://www.roboforex.ru/?a=qhr', 'stream', '2012-12-25 17:40:14');
INSERT INTO `affiliate` VALUES (14, 'roboforex.ru-register', 'Зарегистрировать счет в ROBOFOREX', 0, 'https://my.roboforex.ru/ru/register/?a=qhr', 'stream', '2012-12-26 23:29:07');
INSERT INTO `affiliate` VALUES (15, 'ruforum.mt5.com', 'Форум трейдеров рынка Forex', 0, 'http://ruforum.mt5.com/index.php?referrerid=15833', 'stream', '2012-12-25 17:42:04');
INSERT INTO `affiliate` VALUES (16, 'trading-sys.com', 'Бесплатный курс "Профессиональный FOREX СТАРТ"', 0, 'http://trading-sys.com/affil/7777777', 'stream', '2012-12-25 18:00:04');
INSERT INTO `affiliate` VALUES (17, 'trading-sys.com-aff', 'Партнерка Влада Гилки', 0, 'http://trading-sys.com/affil/7777777/aff', 'stream', '2012-12-25 18:00:47');
INSERT INTO `affiliate` VALUES (18, 'trading-sys.com-auto', 'Бесплатный курс "Авто Forex Трейдинг - Быстрый старт"', 0, 'http://trading-sys.com/affil/7777777/auto', 'stream', '2012-12-25 18:01:14');
INSERT INTO `affiliate` VALUES (19, 'trading-sys.com-autoforex2', 'Видео курс "Авто FOREX Трейдинг 2.0"', 0, 'http://trading-sys.com/affil/7777777/autoforex2', 'stream', '2012-12-25 18:01:41');
INSERT INTO `affiliate` VALUES (20, 'trading-sys.com-autoforex', 'Видео курс "Авто Forex Трейдер"', 0, 'http://trading-sys.com/affil/7777777/autoforex', 'stream', '2012-12-25 18:02:11');
INSERT INTO `affiliate` VALUES (21, 'trading-sys.com-fibo', 'Бесплатный видеокурс по ФИБОНАЧЧИ', 0, 'http://trading-sys.com/affil/7777777/fibo', 'stream', '2012-12-25 18:02:42');
INSERT INTO `affiliate` VALUES (22, 'trading-sys.com-pro', 'Видео курс "Профессиональный FOREX трейдер"', 0, 'http://trading-sys.com/affil/7777777/pro', 'stream', '2012-12-25 18:03:20');
INSERT INTO `affiliate` VALUES (23, 'vpsforex.ru', 'VPS Форекс — Надежные VPS для рынка форекс', 0, 'http://www.vpsforex.ru/partner/203', 'stream', '2012-12-25 23:28:34');
INSERT INTO `affiliate` VALUES (24, 'vsignale.ru', 'Бесплатный советник форекс Vsignale Trader 3.0', 0, 'http://vsignale.ru/?x=EKDY', 'stream', '2012-12-25 18:08:38');

-- --------------------------------------------------------

-- 
-- Структура таблицы `block`
-- 

CREATE TABLE `block` (
  `id_bl` int(11) NOT NULL auto_increment,
  `bl_type` varchar(255) NOT NULL,
  `bl_title` varchar(100) NOT NULL,
  `bl_size` varchar(10) default NULL,
  `bl_num` tinyint(2) default '1',
  `bl_separator` varchar(255) NOT NULL default '<br />',
  `link_style` varchar(255) default '0,,,0',
  `bl_code` text,
  `bl_body` text,
  `bl_vid` enum('0','top','bot','left','right') NOT NULL default '0',
  PRIMARY KEY  (`id_bl`)
) AUTO_INCREMENT=7 ;

-- 
-- Дамп данных таблицы `block`
-- 

INSERT INTO `block` VALUES (1, 'banner', 'Баннер 3х468', '468,auto', 4, '<br /><br />', '0,,,0', '<!--start block_banner_1--><noindex><div style="position:relative;width:468px;height:auto;"><a href="./1/pl/forex-mmcis.ru" rel="nofollow" target="_blank"><img src="http://test1.ru/aflinks/pi/~(468x60).gif" width="468" height="60" alt="forex-mmcis.ru" title="Форекс Брокер - forex-mmcis.ru" /></a><br /><br /><a href="./1/pl/forex4you.org" rel="nofollow" target="_blank"><img src="http://test1.ru/aflinks/pi/tech_of_trading_468x60.gif" width="468" height="60" alt="forex4you.org" title="ДЦ - forex4you" /></a><br /><br /><a href="./1/pl/instaforex.com" rel="nofollow" target="_blank"><img src="http://test1.ru/aflinks/pi/468x60_18_ru.gif" width="468" height="60" alt="instaforex.com" title="Лучший Брокер Азии 2012" /></a></div></noindex><!--end block -->', '', '');
INSERT INTO `block` VALUES (2, 'banner', 'Баннер 3х200', 'auto,200', 3, '&nbsp;&nbsp;', '0,,,0', '<!--start block_banner_2--><noindex><div style="position:relative;width:auto;height:200px;"><a href="./2/pl/roboforex.ru" rel="nofollow" target="_blank"><img src="http://test1.ru/aflinks/pi/rbfx10_200x200_ru.gif" width="200" height="200" alt="roboforex.ru" title="ДЦ - Компания ROBOFOREX LP" /></a>&nbsp;&nbsp;<a href="./2/pl/ruforum.mt5.com" rel="nofollow" target="_blank"><img src="http://test1.ru/aflinks/pi/200x200_ru.gif" width="200" height="200" alt="ruforum.mt5.com" title="Форум трейдеров рынка Forex" /></a>&nbsp;&nbsp;<a href="./2/pl/instaforex.com" rel="nofollow" target="_blank"><img src="http://test1.ru/aflinks/pi/200x200_10_ru.gif" width="200" height="200" alt="instaforex.com" title="Лучший Брокер Азии 2012" /></a></div></noindex><!--end block -->', '', '');
INSERT INTO `block` VALUES (3, 'combi', 'Комби', '300,600', 1, '<br />', '#162CEB,12pt,Tahoma,1', '<!--start block_combi_3--><noindex><div style="position:relative;width:300px;height:600px;"><a href="./3/pl/instaforex.com" rel="nofollow" target="_blank"><table border="0"><tr><td valign="top"  style="color:#162CEB;font-size:12pt;font-family:Tahoma;text-decoration:none;">Здесь должен быть Ваш рекламный текст. Пишите то, что не может донести изображение или баннер до пользователя.</td><td><img src="http://test1.ru/aflinks/pi/120x600_670_ru.png" width="120" height="600" alt="instaforex.com" title="Лучший Брокер Азии 2012" /></td></tr></table></a></div></noindex><!--end block -->', 'Здесь должен быть Ваш рекламный текст. Пишите то, что не может донести изображение или баннер до пользователя.', 'left');
INSERT INTO `block` VALUES (4, 'flash', 'Флеш', '250,250', 1, '<br />', '0,,,0', '<!--start block_flash_4--><noindex><div style="position:relative;width:250px;height:250px;">\r\n      <object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0" name="250x250_70_ru.swf" width="250" height="250" align="middle" id="4" style="position:absolute;left:0;top:0;z-index:1;">\r\n      <param name="wmode" value="opaque" />\r\n      <param name="movie" value="http://test1.ru/aflinks/pi/250x250_70_ru.swf" />\r\n      <param name="quality" value="high" />\r\n      <param name="bgcolor" value="#FFFFFF" />\r\n      <embed src="http://test1.ru/aflinks/pi/250x250_70_ru.swf" quality="high" bgcolor="#FFFFFF" width="250" height="250" name="250x250_70_ru.swf" align="middle" allowScriptAccess="sameDomain" allowFullScreen="false" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" wmode="opaque" /></object>\r\n      <a href="./4/pl/instaforex.com-account" rel="nofollow" target="_blank" style="position:absolute;left:0;top:0;z-index:2;width:250;height:250;background: url("http://test1.ru/aflinks/images/spacer.gif") repeat;"></a></div></noindex><!--end block -->', '', '');
INSERT INTO `block` VALUES (5, 'text', 'Текстовой в ряд', '600,auto', 10, '|', '#EF1414,13pt,Verdana,0', '<!--start block_text_5--><noindex><div style="position:relative;width:600px;height:auto;"> <a href="./5/pl/vpsforex.ru" rel="nofollow" title="vpsforex.ru" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">VPS Форекс — Надежные VPS для рынка форекс</a> | <a href="./5/pl/trading-sys.com-fibo" rel="nofollow" title="trading-sys.com-fibo" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Бесплатный видеокурс по ФИБОНАЧЧИ</a> | <a href="./5/pl/trading-sys.com-auto" rel="nofollow" title="trading-sys.com-auto" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Бесплатный курс "Авто Forex Трейдинг - Быстрый старт"</a> | <a href="./5/pl/trading-sys.com" rel="nofollow" title="trading-sys.com" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Бесплатный курс "Профессиональный FOREX СТАРТ"</a> | <a href="./5/pl/vsignale.ru" rel="nofollow" title="vsignale.ru" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Бесплатный советник форекс Vsignale Trader 3.0</a> | <a href="./5/pl/alpari.ru" rel="nofollow" title="alpari.ru" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Брокер Форекс - alpari</a> | <a href="./5/pl/trading-sys.com-autoforex" rel="nofollow" title="trading-sys.com-autoforex" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Видео курс "Авто Forex Трейдер"</a> | <a href="./5/pl/trading-sys.com-autoforex2" rel="nofollow" title="trading-sys.com-autoforex2" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Видео курс "Авто FOREX Трейдинг 2.0"</a> | <a href="./5/pl/trading-sys.com-pro" rel="nofollow" title="trading-sys.com-pro" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Видео курс "Профессиональный FOREX трейдер"</a> | <a href="./5/pl/globoxhost.com-vds-servers" rel="nofollow" title="globoxhost.com-vds-servers" style="color:#EF1414;font-size:13pt;font-family:Verdana;text-decoration:underline;" target="_blank">Виртуальный выделенный сервер на базе OS Windows</a> </div></noindex><!--end block -->', '', '');
INSERT INTO `block` VALUES (6, 'text', 'Текстовой колонкой', '350,auto', 10, '<br />', '#F20EE0,12pt,Arial,0', '<!--start block_text_6--><noindex><div style="position:relative;width:350px;height:auto;"> <a href="./6/pl/ruforum.mt5.com" rel="nofollow" title="ruforum.mt5.com" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Форум трейдеров рынка Forex</a> <br /> <a href="./6/pl/forex-mmcis.ru" rel="nofollow" title="forex-mmcis.ru" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Форекс Брокер - forex-mmcis.ru</a> <br /> <a href="./6/pl/ecommtools.com-freeforex" rel="nofollow" title="ecommtools.com-freeforex" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Товары Чувашова</a> <br /> <a href="./6/pl/ecommtools.com" rel="nofollow" title="ecommtools.com" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Партнёрка Чувашова</a> <br /> <a href="./6/pl/trading-sys.com-aff" rel="nofollow" title="trading-sys.com-aff" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Партнерка Влада Гилки</a> <br /> <a href="./6/pl/instaforex.com" rel="nofollow" title="instaforex.com" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Лучший Брокер Азии 2012</a> <br /> <a href="./6/pl/mmcis-investments.ru" rel="nofollow" title="mmcis-investments.ru" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Инвестиционный фонд MMCIS investments</a> <br /> <a href="./6/pl/roboforex.ru" rel="nofollow" title="roboforex.ru" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">ДЦ - Компания ROBOFOREX LP</a> <br /> <a href="./6/pl/forex4you.org" rel="nofollow" title="forex4you.org" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">ДЦ - forex4you</a> <br /> <a href="./6/pl/gamma-ic.com" rel="nofollow" title="gamma-ic.com" style="color:#F20EE0;font-size:12pt;font-family:Arial;text-decoration:underline;" target="_blank">Доверительное Управление на рынке «Forex»</a> </div></noindex><!--end block -->', '', '');

-- --------------------------------------------------------

-- 
-- Структура таблицы `block_image`
-- 

CREATE TABLE `block_image` (
  `id_b` int(5) default NULL,
  `id_i` int(5) default NULL,
  KEY `id_b` (`id_b`),
  KEY `id_i` (`id_i`)
);

-- 
-- Дамп данных таблицы `block_image`
-- 

INSERT INTO `block_image` VALUES (2, 6);
INSERT INTO `block_image` VALUES (1, 9);
INSERT INTO `block_image` VALUES (1, 8);
INSERT INTO `block_image` VALUES (1, 5);
INSERT INTO `block_image` VALUES (2, 3);
INSERT INTO `block_image` VALUES (2, 2);
INSERT INTO `block_image` VALUES (3, 1);
INSERT INTO `block_image` VALUES (4, 4);

-- --------------------------------------------------------

-- 
-- Структура таблицы `block_link`
-- 

CREATE TABLE `block_link` (
  `id_block` int(5) default NULL,
  `id_link` int(5) default NULL,
  KEY `id_block` (`id_block`),
  KEY `id_link` (`id_link`)
);

-- 
-- Дамп данных таблицы `block_link`
-- 

INSERT INTO `block_link` VALUES (5, 23);
INSERT INTO `block_link` VALUES (5, 21);
INSERT INTO `block_link` VALUES (5, 18);
INSERT INTO `block_link` VALUES (5, 16);
INSERT INTO `block_link` VALUES (5, 24);
INSERT INTO `block_link` VALUES (5, 1);
INSERT INTO `block_link` VALUES (5, 20);
INSERT INTO `block_link` VALUES (5, 19);
INSERT INTO `block_link` VALUES (5, 22);
INSERT INTO `block_link` VALUES (5, 9);
INSERT INTO `block_link` VALUES (6, 15);
INSERT INTO `block_link` VALUES (6, 7);
INSERT INTO `block_link` VALUES (6, 4);
INSERT INTO `block_link` VALUES (6, 3);
INSERT INTO `block_link` VALUES (6, 17);
INSERT INTO `block_link` VALUES (6, 10);
INSERT INTO `block_link` VALUES (6, 12);
INSERT INTO `block_link` VALUES (6, 13);
INSERT INTO `block_link` VALUES (6, 5);
INSERT INTO `block_link` VALUES (6, 8);

-- --------------------------------------------------------

-- 
-- Структура таблицы `config`
-- 

CREATE TABLE `config` (
  `id` smallint(1) NOT NULL default '1',
  `banner_type` varchar(10) default 'banner',
  `combi_type` varchar(10) default 'combi',
  `flash_type` varchar(10) default 'flash',
  `free_type` varchar(10) default 'free',
  `txt_type` varchar(10) default 'text',
  `max_num` smallint(2) default '5',
  `top_poz` smallint(2) NOT NULL,
  `limit_pos_on_page` smallint(2) NOT NULL default '10',
  `limit_pagination_on_page` smallint(2) NOT NULL default '5',
  `approve_blocks` enum('yes','no') default 'no',
  `global_blocks_noindex` enum('yes','no') default 'no',
  `global_urls_in_blocks_noindex` enum('yes','no') default 'no',
  `link_target` enum('yes','no') default 'no'
);

-- 
-- Дамп данных таблицы `config`
-- 

INSERT INTO `config` VALUES (1, 'banner', 'combi', 'flash', 'free', 'text', 10, 10, 20, 5, 'yes', 'yes', 'yes', 'yes');

-- --------------------------------------------------------

-- 
-- Структура таблицы `images`
-- 

CREATE TABLE `images` (
  `id_img` int(11) NOT NULL auto_increment,
  `id_aff` int(11) default '0',
  `catalog` varchar(50) NOT NULL,
  `filename` varchar(125) default NULL,
  `mime` varchar(4) NOT NULL,
  `width_img` varchar(4) default NULL,
  `height_img` varchar(4) default NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY  (`id_img`),
  UNIQUE KEY `filename` (`filename`)
) AUTO_INCREMENT=10 ;

-- 
-- Дамп данных таблицы `images`
-- 

INSERT INTO `images` VALUES (1, 10, 'pi/', '120x600_670_ru.png', 'png', '120', '600', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (2, 10, 'pi/', '200x200_10_ru.gif', 'gif', '200', '200', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (3, 15, 'pi/', '200x200_ru.gif', 'gif', '200', '200', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (4, 11, 'pi/', '250x250_70_ru.swf', 'swf', '250', '250', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (5, 10, 'pi/', '468x60_18_ru.gif', 'gif', '468', '60', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (6, 13, 'pi/', 'rbfx10_200x200_ru.gif', 'gif', '200', '200', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (7, 20, 'pi/', 'sm_2.gif', 'gif', '486', '60', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (8, 5, 'pi/', 'tech_of_trading_468x60.gif', 'gif', '468', '60', '2013-01-02 14:22:49');
INSERT INTO `images` VALUES (9, 7, 'pi/', '~(468x60).gif', 'gif', '468', '60', '2013-01-02 14:22:49');

-- --------------------------------------------------------

-- 
-- Структура таблицы `stat`
-- 

CREATE TABLE `stat` (
  `id_clik` int(11) NOT NULL auto_increment,
  `id_linki` int(5) NOT NULL,
  `id_blocki` int(5) NOT NULL,
  `page_referer` varchar(255) NOT NULL,
  `user_ip` varchar(15) NOT NULL,
  `date_clik` int(10) NOT NULL,
  PRIMARY KEY  (`id_clik`)
) AUTO_INCREMENT=1 ;

--
-- Дамп данных таблицы `stat`
--

-- --------------------------------------------------------

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
